Bug 844479 - Review Request: jgroups212 - A toolkit for reliable multicast communication
Review Request: jgroups212 - A toolkit for reliable multicast communication
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andy Grimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 844827
  Show dependency treegraph
 
Reported: 2012-07-30 16:35 EDT by Matt Spaulding
Modified: 2016-11-07 22:46 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-17 21:27:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
agrimm: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matt Spaulding 2012-07-30 16:35:08 EDT
Spec URL: http://madsa.fedorapeople.org/jgroups212.spec
SRPM URL: http://madsa.fedorapeople.org/jgroups212-2.12.3-1.fc17.src.rpm

Description:
A toolkit for reliable multicast communication.
It allows developers to create reliable multipoint (multicast) applications
where reliability is a deployment issue, and does not have to be implemented
by the application developer. This saves application developers significant
amounts of time, and allows for the application to be deployed in different
environments, without having to change code.

Fedora Account System Username: madsa

Although JGroups 3.0 is already available in Fedora, this version is needed as a dependency of Jbosscache.

RPMLint Output:
jgroups212.spec: W: invalid-url Source0: jgroups212-2.12.3.Final.tar.xz
jgroups212.src: W: spelling-error Summary(en_US) multicast -> Multics, simulcast
jgroups212.src: W: spelling-error %description -l en_US multicast -> Multics, simulcast
jgroups212.src: W: spelling-error %description -l en_US multipoint -> multipurpose
jgroups212.src: W: invalid-url Source0: jgroups212-2.12.3.Final.tar.xz
jgroups212.noarch: W: spelling-error Summary(en_US) multicast -> Multics, simulcast
jgroups212.noarch: W: spelling-error %description -l en_US multicast -> Multics, simulcast
jgroups212.noarch: W: spelling-error %description -l en_US multipoint -> multipurpose
jgroups212.noarch: E: incorrect-fsf-address /usr/share/doc/jgroups212-2.12.3/LICENSE
3 packages and 1 specfiles checked; 1 errors, 8 warnings.

Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4343518
Comment 1 Andy Grimm 2012-08-03 15:43:48 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: MUST Sources contain only permissible code or content.
[-]: MUST Each %files section contains %defattr if rpm < 4.4
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc. [1]
[!]: MUST License field in the package spec file matches the actual license. [2]
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary. [3]
[x]: MUST Rpmlint is run on all rpms the build produces.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[-]: SHOULD Latest version is packaged. (N/A for compatibility packages
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[!]: SHOULD Spec use %global instead of %define. [4]


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
     Note: No javadoc subpackage present
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
     Note: No javadoc subpackage present
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


Notes / Issues:

[1] The license file should be included in the javadoc subpackage as well.

[2] The license is LGPL 2.1

[3] This package should require log4j and bsh.  Note that there are two ways to assess requirements:  First, look at the requirements in the pom.  Additionally, you can run the following:

unzip -p /usr/share/java/jgroups212.jar | /usr/lib/rpm/javadeps --requires -- -

which gives a list of all classes which are imported by some class in the jar.  There are many redundancies in this list, but if you grep out the org.jgroups, java.*, and javax.* deps, you get a much shorter list to research.

[4] Use %global rather than %define
Comment 3 Andy Grimm 2012-08-06 09:19:54 EDT
Looks good.  One small thing: for LGPL 2.1, the "short name" used in the license field should be "LGPLv2", according to:
http://fedoraproject.org/wiki/Licensing#Software_License_List

I should have said that when I mentioned the license change.  Anyway, that's a minor thing, but please change it on commit.

APPROVED
Comment 4 Matt Spaulding 2012-08-06 11:28:40 EDT
New Package SCM Request
=======================
Package Name: jgroups212
Short Description: A toolkit for reliable multicast communication
Owners: madsa arg
Branches: f17
InitialCC:
Comment 5 Gwyn Ciesla 2012-08-06 11:43:21 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-08-06 16:01:53 EDT
jgroups212-2.12.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jgroups212-2.12.3-2.fc17
Comment 7 Fedora Update System 2012-08-09 19:10:23 EDT
jgroups212-2.12.3-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 8 Fedora Update System 2012-08-17 21:27:31 EDT
jgroups212-2.12.3-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.